Bug 227845 - [Mac wk1 Debug] webaudio/audioworket-out-of-memory.html is a flaky timeout
Summary: [Mac wk1 Debug] webaudio/audioworket-out-of-memory.html is a flaky timeout
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Audio (show other bugs)
Version: WebKit Nightly Build
Hardware: Mac (Intel) Unspecified
: P2 Normal
Assignee: ayumi_kojima
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-07-09 16:01 PDT by ayumi_kojima
Modified: 2021-07-19 17:14 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.36 KB, patch)
2021-07-09 16:06 PDT, ayumi_kojima
no flags Details | Formatted Diff | Diff
Patch (1.36 KB, patch)
2021-07-12 13:52 PDT, ayumi_kojima
no flags Details | Formatted Diff | Diff
Update TestExpectations (1.36 KB, patch)
2021-07-12 13:53 PDT, ayumi_kojima
no flags Details | Formatted Diff | Diff
Update Test Expectations (1.54 KB, patch)
2021-07-19 09:41 PDT, Eric Hutchison
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ayumi_kojima 2021-07-09 16:01:00 PDT
webaudio/audioworket-out-of-memory.html

History: https://results.webkit.org/?suite=layout-tests&test=webaudio%2Faudioworket-out-of-memory.html

I was able to reproduce timeout with run-webkit-tests webaudio/audioworket-out-of-memory.html --iterations 50 -f -1
Comment 1 Radar WebKit Bug Importer 2021-07-09 16:01:36 PDT
<rdar://problem/80398130>
Comment 2 ayumi_kojima 2021-07-09 16:06:07 PDT
Created attachment 433245 [details]
Patch
Comment 3 ayumi_kojima 2021-07-12 13:52:53 PDT
Created attachment 433352 [details]
Patch
Comment 4 ayumi_kojima 2021-07-12 13:53:39 PDT
Created attachment 433354 [details]
Update TestExpectations
Comment 5 Truitt Savell 2021-07-12 13:55:51 PDT
Comment on attachment 433354 [details]
Update TestExpectations

Clearing flags on attachment: 433354

Committed r279851 (239606@main): <https://commits.webkit.org/239606@main>
Comment 6 Robert Jenner 2021-07-14 17:10:01 PDT
Reverted r279851 for reason:

Overrode previously set test expectations.

Committed r279934 (239678@main): <https://commits.webkit.org/239678@main>
Comment 7 Eric Hutchison 2021-07-19 09:41:44 PDT
Created attachment 433794 [details]
Update Test Expectations
Comment 8 Robert Jenner 2021-07-19 09:49:50 PDT
Comment on attachment 433794 [details]
Update Test Expectations

Clearing flags on attachment: 433794

Committed r280028 (239768@main): <https://commits.webkit.org/239768@main>